Subject: [MIB-DOCTORS] FW: nfs mibs?

From: David Harrington <[email-masked]>
Date: Sat, 20 Jul 2013 11:49:18 -0400

Hi,

Mike and I have been having a small discussion about mibs for nfsv4.
He asked when and why the nfsv4 wg charter dropped MIB deliverables.
I did some research to answer the question. It is in the email message
below.
Mike has discussed with me VMWare's need for NFS MIBs a number of times.of
my 
So my email also has a few opinions and suggestions.

I (and I assume Mike) would be interested in opinions and insights from
other MIB doctors as well.
-- 
David Harrington
[email-masked]
+1-603-828-1401

On 7/15/13 1:58 PM, "ietfdbh" <[email-masked]> wrote:

>Hi Mike,
> 
>I notice the slides are from 2003.
>The current charter includes deliverables for 2012, so I assume it was
>approved sometime between 2003 and 2012.
>I was AD for Mar2010-Mar2012, and I don¹t remember approving a revised
>charter on my watch.
> 
>[hell, I was working hard just to get them to submit documents they¹d
>been working on for years, and were fine-tuning to death ;-)
>I did push them to get a new charter submitted, but don¹t know that I
>succeeded while on my watch.]
> 
>Looking at the history tab of the WG page, the charter info changed on
>3-29-12.
>Charter changes weren¹t really tracked for a long time, so the history
>might be incomplete.
>I think my last day as AD was 3-28-12.
>I notice the IETF83 proceedings for NFSv4 lists Martin as the AD.
>The agenda includes a charter discussion, but no slides for a charter
>review.
>I checked the IESG official and narrative minutes and found no discussion
>of an NFS recharter from 1-1-12 to 4-1-12 and found none.
>I don¹t know if I can determine when those deliverables were dropped from
>the charter.
> 
> 
>After getting this far, I decided to check proceedings further back.
>The MIB modules are not in the deliverables for ietf81.
>Going to binary search: ietf58-yes; ietf70-yes; ietf75-no; ietf72-yes;
>ietf73-yes; ietf74-no;
>So, it was dropped apparently with the 2009-03-18 revision of the charter.
>Ietf74 meeting minutes mention an updated charter, with no detailed
>discussion of the changes.
>Ietf73 meeting minutes don¹t mention mibs or management.
>Ietf72 minutes mention charter update, but no mention of mibs or
>management.
>Ietf71 minutes do not mention  mibs or management.
>So I have not been able to establish WG consensus to drop them in the
>official minutes.
> 
>So I checked IESG minutes at http://www.ietf.org/iesg/minutes/2009/
>IESG approved the new charter in the 3-12-09 telechat.
>In the narrative minutes for 3-12-09, external review completed, nobody
>objected to the new charter.
>In the narrative minutes for 2-26-09, nobody objected to the new charter,
>but called for external review.
>In the narrative minutes for earlier 2009 telechats, NFS wasn¹t mentioned
>(i.e. was not on the telechat agenda)
> 
>So the MIB deliverables appear to have been quietly dropped, without
>discussion, in March 2009.
> 
>These were dropped years ago, so it might be a hard sell to resurrect
>them as charter deliverables, but not impossible.
>You could submit an NFS MIB to the NFSv4 WG if you want. I¹m not sure it
>would be taken seriously since they¹re working on other stuff.
>You might be able to push it as a YANG module deliverable in netmod or
>opsawg. 
>YANG proponents are realizing they are facing an uphill battle with few
>standardized modules, and might appreciate another module proposal. But
>you¹ll really need NFSv4 WG support, and a MIB might be an easier sell,
>especially if there are proprietary mibs to work from.
> 
>Virtualization, clouds, and storage migration are trending high now (and
>management thereof is sorely lacking).
>As a developer for VMWare, and a MIB Doctor, your opinion might carry
>some weight with the NFSv4 WG.
>And you might be able to play up the fact that iSCSI and Fibre Channel
>have current MIBs done by the storm WG (under David Black).
>So you might want to start the discussion with the NFSv4 WG as ³how do
>you intend your stuff to be managed?²
>I really expect the WG response to be ³sure, go ahead².
>If you want to raise this to a higher abstraction, and make it about
>managing virtualization and migration, the TSV area might be an
>appropriate place to sell the Ads on better management of virtualization.
>You might also consider bringing a proposal to TSVWG (TSV¹s OPSAWG
>equivalent), where David Black is co-chair.
>MIBs that refer to lower-level MIBs, like iSCSI and ifcp MIBs, might
>force NFSv4 to think about MIBs.
>Now would be the time to prepare that presentation about the need for
>managing virtual environments using IETF protocols.
> 
>Hope this helps.
> 
>David Harrington
>[email-masked]
>
>+1-603-828-1401
>From: Michael MacFaden [mailto:[email-masked]]
>Sent: Monday, July 15, 2013 6:56 AM
>To: ietfdbh
>Subject: nfs mibs?
>
>
> 
>Hi David,
>
> 
>
>Hope your summer is going nicely. I was trying to find
>
>the NFS mib modules, saw here they were going to proposed
>
> 
>
>http://www.ietf.org/proceedings/58/slides/nfsv4-0.pdf
>
>listing them as wg milestones.
>
> 
>
>Don't recall seeing mib-doctor reviews or got published?
>
> 
>
>Might you recall?
>
> 
>
>Thanks,
>
>Mike
>
>